org.apache.olingo.odata2.api.ep.entry

## Interface ODataEntry

-     public interface ODataEntry

  An `ODataEntry` contains all properties (in form of a `Map`) and possible metadata (in form of `MediaMetadata` and/or `EntryMetadata`) for an entry.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsInlineEntry()` If this `ODataEntry` contains properties of an inline navigation property this method returns `true`.
    `ExpandSelectTreeNode` | `getExpandSelectTree()` Gets the expand select tree data structure which can be used for `$expand` query option.
    `MediaMetadata` | `getMediaMetadata()` Get `MediaMetadata` for this `ODataEntry` if available.
    `EntryMetadata` | `getMetadata()` Get `EntryMetadata` for this `ODataEntry` if available.
    `Map<String,Object>` | `getProperties()` Properties of this `ODataEntry` in form of a property name to property value map.

- - ### Method Detail

    - #### getProperties

          Map<String,Object> getProperties()

      Properties of this `ODataEntry` in form of a property name to property value map.
      Returns:
        a property name to property value map.

    - #### getMediaMetadata

          MediaMetadata getMediaMetadata()

      Get `MediaMetadata` for this `ODataEntry` if available.
      Returns:
        `MediaMetadata` for this `ODataEntry` if available.

    - #### getMetadata

          EntryMetadata getMetadata()

      Get `EntryMetadata` for this `ODataEntry` if available.
      Returns:
        `EntryMetadata` for this `ODataEntry` if available.

    - #### containsInlineEntry

          boolean containsInlineEntry()

      If this `ODataEntry` contains properties of an inline navigation property this method returns `true`. Otherwise if this `ODataEntry` only contains it own properties this method returns `false`.
      Returns:
        `true` if inline navigation properties are contained, otherwise `false`.

    - #### getExpandSelectTree

          ExpandSelectTreeNode getExpandSelectTree()

      Gets the expand select tree data structure which can be used for `$expand` query option.
      Returns:
        parsed tree structure representing the $expand

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.